
From: Olaf Hering <olh@suse.de>

`-64' is no longer a valid option for as.  Pass it `-a64' instead.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/Makefile~ppc64-kernel-makefile-options-for-as arch/ppc64/Makefile
--- 25/arch/ppc64/Makefile~ppc64-kernel-makefile-options-for-as	Tue Jun  1 16:57:45 2004
+++ 25-akpm/arch/ppc64/Makefile	Tue Jun  1 16:57:45 2004
@@ -17,7 +17,7 @@ KERNELLOAD	:= 0xc000000000000000
 
 HAS_BIARCH      := $(shell if $(CC) -m64 -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo y; else echo n; fi;)
 ifeq ($(HAS_BIARCH),y)
-AS              := $(AS) -64
+AS              := $(AS) -a64
 LD              := $(LD) -m elf64ppc
 CC		:= $(CC) -m64
 endif
_
